aboutsummaryrefslogtreecommitdiffstats
path: root/sbin/fndSession
diff options
context:
space:
mode:
Diffstat (limited to 'sbin/fndSession')
-rwxr-xr-xsbin/fndSession8
1 files changed, 7 insertions, 1 deletions
diff --git a/sbin/fndSession b/sbin/fndSession
index e6f6b44..4fd7c7c 100755
--- a/sbin/fndSession
+++ b/sbin/fndSession
@@ -11,7 +11,13 @@
umask 022
-for f in /etc/X11/dm.d/*.conf; do
+FILES=`/bin/ls /etc/X11/dm.d/*.conf 2> /dev/null`
+
+if [ $? != 0 ]; then
+ exit 0
+fi
+
+for f in $FILES; do
EXEC=
FNDSESSION_EXEC=
eval `grep 'EXEC=' "$f"`